/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.settActivi.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project1;
import com.jeeplus.modules.sg.settActivi.entity.SettActivi;
import com.jeeplus.modules.sg.settActivi.entity.SettList;

import java.util.List;

/**
 * 模块显示MAPPER接口
 * @author
 * @version 2019-11-08
 */

@MyBatisMapper
public interface SettActiviMapper extends BaseMapper<SettActivi> {

    //根据项目idList查询项目信信息
    List<Project1> findByIdList(List<String> projectId);

    //插入settList表中
    void insertSettList(List<SettList> settLists);

    void insertSettActivi(List<Project1> projectList);

    List<SettActivi> findAllSett(List<Project1> projectList);

    void updateSetStatus(List<SettActivi> settActivis);

    void finSetStatus(String procInsId);

    String findOutgoingQuantity(SettList settList);

    List<SettList> findUseQuantityData(SettList settList);

    void updateUsed(SettList settList);

    void updateReviewQuantity(SettList settList);

    void updateSettMark(SettList settList);

    SettActivi exportFind(String procInsId);

    void insertSett(SettActivi settActivi);
}